<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf8">
    <title>uLan Serial Number Register</title>
</head>
<body>

<h1>API Interface</h1>

<h2>Modules</h2>
<ul>
  <li>modules_add.php<br>
  Example:<br>
  http://ulan.sf.net/sn_reg/modules_add.php?name=Pikron&pass=pi&module_name=mt100
  </li>
</ul>

<h2>SN</h2>
<ul>
  <li>sn_prealloc.php<br>
  Example:<br>
  http://ulan.sf.net/sn_reg/sn_prealloc.php?name=Pikron&pass=pi&module_name=mt100
  </li>
  <li>sn_confirm.php<br>
  Example:<br>
  http://ulan.sf.net/sn_reg/sn_confirm.php?name=Pikron&pass=pi&sn=1002&mt=ahoj&flash_time=2010-02-08&version_bootloader=1&version_application=2&git_identification=3
  </li>
  <li>sn_modify_new_application.php<br>
  Example:<br>
  http://ulan.sf.net/sn_reg/sn_modify_new_application.php?name=Pikron&pass=pi&sn=1002&flash_time=2010-02-08&version_application=55&git_identification=4
  </li>
  <li>sn_modify_dead.php<br>
  Example:<br>
  http://ulan.sf.net/sn_reg/sn_modify_dead.php?name=Pikron&pass=pi&sn=1001
  </li>
</ul>

<h1>Tables</h1>
<ul>
  <li><a href="modules_table.php">Modules table</a></li>
  <li><a href="vendors_table.php">Vendors table</a></li>
  <li><a href="sn_table.php">SN table</a></li>
</ul>

<!--

http://www.smoliku.cz/download/sn_reg/modules_add.php?name=Pikron&pass=pi&module_name=tt
-->
</body>
</html>
